Subject: Re: [PATCH 4/5] SUNRPC: ip map cache per network namespace cleanup

From: Stanislav Kinsbursky <[email-masked]>
Date: Thu, 19 Jan 2012 21:10:08 +0400

19.01.2012 20:37, J. Bruce Fields пишет:
> On Thu, Jan 19, 2012 at 06:49:31PM +0400, Stanislav Kinsbursky wrote:
>> This patch converts ip_map_cache per network namespace implemenetation to the
>> same view, as other caches done in the series.
>> Besides generalization, code becomes shorter with this patch.
>
> Again, isnt' it ip_map_cache, and not one of the dynamically created
> cache details, that's being passed to the lookup routines?
>
> I may just be confused....
>

Nope. ip_map_cache was made per network namespace a long time ago.
But it was done in other way: no static templates - just allocation and 
initialization.
But static template looks clearer to me. So I've used this approach for other 
caches. And decided to update ip_map_cache management in the same way.

-- 
Best regards,
Stanislav Kinsbursky